Bug 119766 - Problem with nagios under FreeBSD6.3
Problem with nagios under FreeBSD6.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
Depends on:
  Show dependency treegraph
Reported: 2008-01-17 22:10 UTC by bernd.kuhlen
Modified: 2008-02-04 20:00 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description bernd.kuhlen 2008-01-17 22:10:09 UTC
After Upgrade to FreeBSD6.3 my nagios daemon startet to hang. So Service checks were not performed anymore. For some reason the parten forked service processes with a WCPU of 100% taking all the cpu. 

The only workaround was to kill -9 the corresponding pid. This is not of much help since Nagios doesn't repeat killed service checks anymore (or I don't now how). So  
I had to combine a cron script killing these processes (to give you an idea: were are performing about 1000 service checks per 15 minutes. Roughly 10 of which were malfunctioning) and I had to reload the nagios-daemon in order to reschedule killed service checks.


I downgraded to 
6.2-RELEASE-p10 FreeBSD 6.2-RELEASE-p10 #0: Thu Jan 17 20:21:26 GMT 2008 

Now everything is working fine again.
How-To-Repeat: I tried Nagios 2.10 on FreeBSD6.3 PRERELEASE amd64
Comment 1 Mark Linimon freebsd_committer 2008-01-18 04:15:22 UTC
Responsible Changed
From-To: freebsd-amd64->freebsd-ports-bugs

Comment 2 Wesley Shields freebsd_committer 2008-01-18 14:34:30 UTC
State Changed
From-To: open->analyzed

I'll take this one.  It's related to ports/119246 which I almost have ready for commit. 

Comment 3 Wesley Shields freebsd_committer 2008-01-18 14:34:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take this one.  It's related to ports/119246 which I almost have ready for commit.
Comment 4 Wesley Shields freebsd_committer 2008-01-19 00:42:05 UTC
[ Resending, because I fat-fingered an address the first time. ]


ports/119766 was recently submitted.  This appears to be the same
problem with ports/119246.  Just wanted to make you aware of this new PR
which I will be keeping open.

My understanding is that you plan to backport the fix for nagios-devel
after appropriate time.  If that's the case then Bernd can use the
suggested libmap.conf workaround until you feel comfortable updating


-- WXS
Comment 5 jarrod 2008-01-30 13:42:07 UTC

I have raised ports/120150 to resolve the process hanging issues with  
net-mgmt/nagios.  No negative feedback has been received from the same  
patch for net-mgmt/nagios-devel and all tests confirm libpthread()  
isn't used.  Feel free to grab it and do your thing...

Comment 6 dfilter freebsd_committer 2008-02-04 19:57:30 UTC
wxs         2008-02-04 19:57:24 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios      Makefile 
    net-mgmt/nagios/files patch-configure.in 
  Link with libthr when available.  This should fix the CPU consumption
  PR:             ports/120150 ports/119766
  Submitted by:   jarrod@netleader.com.au bernd.kuhlen@wetteronline.de
  Approved by:    maintainer (implicit) garga (mentor)
  Revision  Changes    Path
  1.66      +2 -1      ports/net-mgmt/nagios/Makefile
  1.2       +38 -4     ports/net-mgmt/nagios/files/patch-configure.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2008-02-04 19:58:26 UTC
State Changed
From-To: analyzed->closed

Fixed with the patch in ports/120150.  Thanks!